org.apache.maven.scm.provider.bazaar.command.diff

## Class BazaarDiffCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.diff.AbstractDiffCommand
    - - org.apache.maven.scm.provider.bazaar.command.diff.BazaarDiffCommand

All Implemented Interfaces:
  Command

    public class BazaarDiffCommand
    extends AbstractDiffCommand
    implements Command

Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Field Summary

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BazaarDiffCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected DiffScmResult` `executeDiffCommand(ScmProviderRepository repo, ScmFileSet fileSet, ScmVersion startRevision, ScmVersion endRevision)`

### Methods inherited from class org.apache.maven.scm.command.diff.AbstractDiffCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.maven.scm.command.Command

`execute, getLogger, setLogger`

### Constructor Detail

#### BazaarDiffCommand

    public BazaarDiffCommand()

### Method Detail

#### executeDiffCommand

    protected DiffScmResult executeDiffCommand(ScmProviderRepository repo,
                                               ScmFileSet fileSet,
                                               ScmVersion startRevision,
                                               ScmVersion endRevision)
                                        throws ScmException

Specified by:
  `executeDiffCommand` in class `AbstractDiffCommand`
Throws:
  `ScmException`